import react from 'react';
import { useState, useEffect } from 'react';
import { Map, Marker, ZoomControl } from 'pigeon-maps';
import { Geolocation } from '@awesome-cordova-plugins/geolocation';

const LiveMap: react.FC = () => {
  const initialCenter: [number, number] = [44.73574, 6.18981];
  const initialZoom: number = 13;
  const [center, setCenter] = useState(initialCenter);
  const [position, setPosition] = useState(initialCenter);
  const [zoom, setZoom] = useState(initialZoom);

  useEffect(() => {
    Geolocation.getCurrentPosition().then((position) => {
      setCenter([position.coords.latitude, position.coords.longitude]);
      setPosition([position.coords.latitude, position.coords.longitude]);
    });
  }, []);

  return (
    <Map
      center={center}
      zoom={zoom}
      onBoundsChanged={({ center, zoom }) => {
        setCenter(center);
        setZoom(zoom);
      }}
      animate={true}
    >
      <ZoomControl />
      <Marker width={20} anchor={position} />
    </Map>
  );
};

export default LiveMap;
